diff options
author | tg <tg@FreeBSD.org> | 2000-07-05 20:37:06 +0800 |
---|---|---|
committer | tg <tg@FreeBSD.org> | 2000-07-05 20:37:06 +0800 |
commit | 3a84881f168162a487490bbbd275ca05b7f5560d (patch) | |
tree | e888acd7e17d635c1f902fccb1eefdf89f15641a /news | |
parent | 83513fef56c1c9996eb040a93488ed7837fac927 (diff) | |
download | freebsd-ports-gnome-3a84881f168162a487490bbbd275ca05b7f5560d.tar.gz freebsd-ports-gnome-3a84881f168162a487490bbbd275ca05b7f5560d.tar.zst freebsd-ports-gnome-3a84881f168162a487490bbbd275ca05b7f5560d.zip |
As threatened on freebsd-ports: all startup scripts know about the two
options `start' and `stop' now (unless I have forgotten any). This allows
us to call the scripts from /etc/rc.shutdown with the correct option.
The (42 or so) ports that already DTRT before are unchanged.
Diffstat (limited to 'news')
-rw-r--r-- | news/diablo/scripts/diablo.sh | 18 | ||||
-rw-r--r-- | news/diablo/scripts/diablo.sh-sample | 18 | ||||
-rw-r--r-- | news/dnews/files/dnews.sh | 24 |
3 files changed, 48 insertions, 12 deletions
diff --git a/news/diablo/scripts/diablo.sh b/news/diablo/scripts/diablo.sh index 38f4d8bc14f3..4d00b4dd3571 100644 --- a/news/diablo/scripts/diablo.sh +++ b/news/diablo/scripts/diablo.sh @@ -1,5 +1,17 @@ #!/bin/sh -if [ -x %%PREFIX%%/news/rc.news ] ; then - %%PREFIX%%/news/rc.news && echo -n ' diablo' -fi +case $1 in +start) + if [ -x %%PREFIX%%/news/rc.news ] ; then + %%PREFIX%%/news/rc.news && echo -n ' diablo' + fi + ;; +stop) + ;; +*) + echo "Usage: `basename $0` {start|stop}" >&2 + exit 64 + ;; +esac + +exit 0 diff --git a/news/diablo/scripts/diablo.sh-sample b/news/diablo/scripts/diablo.sh-sample index 38f4d8bc14f3..4d00b4dd3571 100644 --- a/news/diablo/scripts/diablo.sh-sample +++ b/news/diablo/scripts/diablo.sh-sample @@ -1,5 +1,17 @@ #!/bin/sh -if [ -x %%PREFIX%%/news/rc.news ] ; then - %%PREFIX%%/news/rc.news && echo -n ' diablo' -fi +case $1 in +start) + if [ -x %%PREFIX%%/news/rc.news ] ; then + %%PREFIX%%/news/rc.news && echo -n ' diablo' + fi + ;; +stop) + ;; +*) + echo "Usage: `basename $0` {start|stop}" >&2 + exit 64 + ;; +esac + +exit 0 diff --git a/news/dnews/files/dnews.sh b/news/dnews/files/dnews.sh index b714714205ea..0a478e70a1f0 100644 --- a/news/dnews/files/dnews.sh +++ b/news/dnews/files/dnews.sh @@ -2,11 +2,23 @@ # start dnews if it's really there ... usually in /usr/local ... -[ -x /usr/local/lib/dnews/dnews_start ] \ - && /usr/local/lib/dnews/dnews_start > /dev/null 2>&1 & +case $1 in +start) + [ -x /usr/local/lib/dnews/dnews_start ] \ + && /usr/local/lib/dnews/dnews_start > /dev/null 2>&1 & -# dnews started successfully if exit status = 0 + # dnews started successfully if exit status = 0 -if [ $? -eq 0 ]; then - echo -n ' dnews' -fi + if [ $? -eq 0 ]; then + echo -n ' dnews' + fi + ;; +stop) + ;; +*) + echo "Usage: `basename $0` {start|stop}" >&2 + exit 64 + ;; +esac + +exit 0 |